|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QDesignerContainerExtension Class Reference

The QDesignerContainerExtension class provides extensions for container widgets in Qt Designer. More...

    #include <QDesignerContainerExtension>

Part of the QtDesigner module.

- List of all members, including inherited members

### Public Functions

- virtual ~QDesignerContainerExtension ()
- virtual void addWidget ( QWidget * widget ) = 0
- virtual int count () const = 0
- virtual int currentIndex () const = 0
- virtual void insertWidget ( int index, QWidget * widget ) = 0
- virtual void remove ( int index ) = 0
- virtual void setCurrentIndex ( int index ) = 0
- virtual QWidget * widget ( int index ) const = 0

## Detailed Description

The QDesignerContainerExtension class provides extensions for container widgets in Qt Designer.

## Member Function Documentation

### QDesignerContainerExtension::~QDesignerContainerExtension () `[virtual]`

Destroys the extension.

### void QDesignerContainerExtension::addWidget ( QWidget * widget ) `[pure virtual]`

Adds the given widget to the container after all the existing widgets.

See also insertWidget() and remove().

### int QDesignerContainerExtension::count () const `[pure virtual]`

Returns the number of widgets in the container.

### int QDesignerContainerExtension::currentIndex () const `[pure virtual]`

Returns the current index, corresponding to the current widget in the container.

See also setCurrentIndex().

### void QDesignerContainerExtension::insertWidget ( int index, QWidget * widget ) `[pure virtual]`

Inserts the given widget into the container at the specified index.

See also addWidget() and remove().

### void QDesignerContainerExtension::remove ( int index ) `[pure virtual]`

Removes the widget at the given index in the container.

See also addWidget() and insertWidget().

### void QDesignerContainerExtension::setCurrentIndex ( int index ) `[pure virtual]`

Sets the current index, corresponding to the current widget in the container.

See also currentIndex().

### QWidget * QDesignerContainerExtension::widget ( int index ) const `[pure virtual]`

Returns the widget at the given index in the container.

See also addWidget() and insertWidget().